boost::geometry::detail::envelope::intersects_antimeridian Struct Reference

List of all members.

## Static Public Member Functions

template<typename Units , typename CoordinateType >
static bool | apply (CoordinateType const &lon1, CoordinateType const &lat1, CoordinateType const &lon2, CoordinateType const &lat2)
template<typename Segment >
static bool | apply (Segment const &segment)
template<typename Point >
static bool | apply (Point const &p1, Point const &p2)

## Member Function Documentation

template<typename Units , typename CoordinateType >

static bool boost::geometry::detail::envelope::intersects_antimeridian::apply | ( | CoordinateType const & | lon1,
|  | CoordinateType const & | lat1,
|  | CoordinateType const & | lon2,
|  | CoordinateType const & | lat2
| ) |  | `[static]`

template<typename Segment >

static bool boost::geometry::detail::envelope::intersects_antimeridian::apply | ( | Segment const & | segment | ) | `[static]`

template<typename Point >

static bool boost::geometry::detail::envelope::intersects_antimeridian::apply | ( | Point const & | p1,
|  | Point const & | p2
| ) |  | `[static]`

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK